Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.grogra.imp.objects
Class FixedImageAdapter

    java.lang.Object
      de.grogra.persistence.ShareableBase
          de.grogra.imp.objects.ImageAdapter
              de.grogra.imp.objects.FixedImageAdapter

All Implemented Interfaces:
  Icon, IconSource, Manageable, Shareable

    public class FixedImageAdapter

extends ImageAdapter

Nested Class Summary
`static class` | `FixedImageAdapter.Type`

Field Summary
`static FixedImageAdapter.Type` | `$TYPE`

Fields inherited from interface de.grogra.icon.Icon
`DEFAULT, DISABLED`

Constructor Summary
`protected` | `FixedImageAdapter()`
`` | `FixedImageAdapter(java.awt.image.BufferedImage image)`

Method Summary
`java.awt.image.BufferedImage` | `getBufferedImage()`
`ManageableType` | `getManageableType()`
`java.awt.image.BufferedImage` | `getNativeImage()`
`boolean` | `isMutable()`

Methods inherited from class de.grogra.imp.objects.ImageAdapter
`getIcon, getIconBounds, getIconSource, getImage, getImage, getImageSource, getPreferredIconSize, paintIcon, prepareIcon`

Methods inherited from class de.grogra.persistence.ShareableBase
`addReference, appendReferencesTo, fieldModified, getProvider, getStamp, initProvider, manageableReadResolve, manageableWriteReplace, removeReference`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### $TYPE

    public static final FixedImageAdapter.Type $TYPE

Constructor Detail

### FixedImageAdapter

    protected FixedImageAdapter()

### FixedImageAdapter

    public FixedImageAdapter(java.awt.image.BufferedImage image)

Method Detail

### getBufferedImage

    public java.awt.image.BufferedImage getBufferedImage()

  Specified by:
    `getBufferedImage` in class `ImageAdapter`

### getManageableType

    public ManageableType getManageableType()

### getNativeImage

    public java.awt.image.BufferedImage getNativeImage()

  Specified by:
    `getNativeImage` in class `ImageAdapter`

### isMutable

    public boolean isMutable()

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD